#include <stdio.h>
#include <fat32.h>
#include <gpio.h>
#include <uart.h>
#include <stm32f4xx.h>


extern streamdevice* __opnfiles__[];

int main()
{
    gpio_t gpio1 = gpioopen(PF6);//gpioopen(LED1);  //PD9 D=> 0x0300 9 => 0x0009
    gpio_t gpio2 = gpioopen(PF7);//gpioopen(LED2);
    gpio_t gpio3 = gpioopen(PF8);//gpioopen(LED2);
    gpiosetspeed(&gpio1,gpiohighspeed);
    gpiosetspeed(&gpio2,gpiohighspeed);
    gpiosetspeed(&gpio3,gpiohighspeed);
    gpiosetdir(&gpio1,gpiooutdir);
    gpiosetdir(&gpio3,gpiooutdir);
    gpiosetdir(&gpio2,gpiooutdir);
    while(1)
    {
        for(volatile int i=0;i<1024*2048;i++);
        gpioset(PF6);
        gpioclr(PF7);
        for(volatile int i=0;i<1024*2048;i++);
        gpioclr(PF6);
        gpioset(PF7);
    }
    printf("hello world\n\r");
    return 0;
}



void USART3_IRQHandler(void)
{
    while(1)
    {
        for(volatile int i=0;i<1024*2048;i++);
        gpioset(PD12);
        gpioclr(PD14);
        for(volatile int i=0;i<1024*2048;i++);
        gpioclr(PD12);
        gpioset(PD14);
    }
}





